> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnivibe.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Inbox details

> Get the details of an inbox



## OpenAPI

````yaml /swagger/swagger.json get /public/api/v1/inboxes/{inbox_identifier}
openapi: 3.1.0
info:
  title: Omnivibe
  description: This is the API documentation for Omnivibe server.
  version: 1.1.0
  termsOfService: https://www.omnivibe.com.br/terms-of-service/
  contact:
    email: hello@omnivibe.com.br
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.omnivibe.com.br/
security: []
tags:
  - name: Accounts
    description: Account management APIs
  - name: Account Users
    description: Account user management APIs
  - name: AgentBots
    description: Bot integrations
  - name: Users
    description: User management APIs
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Contacts API
    description: Public contact APIs
  - name: Conversations API
    description: Public conversation APIs
  - name: Messages API
    description: Public message APIs
  - name: CSAT Survey Page
    description: Customer satisfaction survey
paths:
  /public/api/v1/inboxes/{inbox_identifier}:
    parameters:
      - $ref: '#/components/parameters/public_inbox_identifier'
    get:
      tags:
        - Inbox API
      summary: Inbox details
      description: Get the details of an inbox
      operationId: get-details-of-a-inbox
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/public_inbox'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '404':
          description: The given inbox does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security: []
components:
  parameters:
    public_inbox_identifier:
      in: path
      name: inbox_identifier
      schema:
        type: string
      required: true
      description: The identifier obtained from API inbox channel
  schemas:
    public_inbox:
      type: object
      properties:
        identifier:
          type: string
          description: Inbox identifier
        name:
          type: string
          description: Name of the inbox
        timezone:
          type: string
          description: The timezone defined on the inbox
        working_hours:
          type: array
          description: The working hours defined on the inbox
          items:
            type: object
            properties:
              day_of_week:
                type: integer
                description: Day of the week as a number. Sunday -> 0, Saturday -> 6
              open_all_day:
                type: boolean
                description: Whether or not the business is open the whole day
              closed_all_day:
                type: boolean
                description: Whether or not the business is closed the whole day
              open_hour:
                type: integer
                description: Opening hour. Can be null if closed all day
              open_minutes:
                type: integer
                description: Opening minute. Can be null if closed all day
              close_hour:
                type: integer
                description: Closing hour. Can be null if closed all day
              close_minutes:
                type: integer
                description: Closing minute. Can be null if closed all day
        working_hours_enabled:
          type: boolean
          description: Whether of not the working hours are enabled on the inbox
        csat_survey_enabled:
          type: boolean
          description: >-
            Whether of not the Customer Satisfaction survey is enabled on the
            inbox
        greeting_enabled:
          type: boolean
          description: Whether of not the Greeting Message is enabled on the inbox
        identity_validation_enabled:
          type: boolean
          description: Whether of not the User Identity Validation is enforced on the inbox
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string

````